Package com.independentsoft.office.odf

# Class ChangeStart

java.lang.Object
com.independentsoft.office.odf.ChangeStart

All Implemented Interfaces:
  `ICellContent`, `IContentElement`, `IIndexContent`, `IParagraphContent`, `ITextContent`, `IHeaderFooterContent`

public class ChangeStart extends Object implements ITextContent, IParagraphContent, IHeaderFooterContent
Represents a position in an empty region where text has been deleted.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeStart()`
  Initializes a new instance of the ChangeStart class.
  `ChangeStart​(InternalXMLStreamReader reader)`
  Instantiates a new change start.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeStart`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `String`
  `getID()`
  Gets an id to the element that contains change information.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `void`
  `setID​(String id)`
  Sets an id to the element that contains change information.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `String`
  `toString()`
  Converts the value of the current ChangeStart object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeStart

    public ChangeStart()
    Initializes a new instance of the ChangeStart class.

  - ### ChangeStart

    public ChangeStart​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new change start.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public ChangeStart clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IHeaderFooterContent`
    Specified by:
      `clone` in interface `IIndexContent`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `ITextContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ChangeStart object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getID

    public String getID()
    Gets an id to the element that contains change information.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets an id to the element that contains change information.
    Parameters:
      `id` - the new id